<?php 
class FRMViajeDejar extends AppFormulario {
	
	protected $_url_traseditar = '/viaje/listado';
	
	public function init() {
		parent::init();
		$objeto = $this->getObjeto();
		$this->setAction('/viaje/dejar/contrato/'.$objeto->getContrato().'/ida/'.$objeto->getIda().'/linea/'.$objeto->getLinea());
		//$this->_url_traseditar = '/servicio/estados/id/'.$objeto->getCodigoParaServicio();
		$servicio = new Servicio($objeto->getContrato());
		if ($servicio->tarifa == 'TARISUREST') {
			$this->_url_traseditar = '/servicio/tareas/id/'.$objeto->getContrato();
		} else {
			$this->_url_traseditar = '/viaje/cobrar/contrato/'.$objeto->getContrato().'/ida/'.$objeto->getIda().'/linea/'.$objeto->getLinea();
		}
		
		$cmp_destinoFechaDejado = new EFFecha('destinoFechaDejado');
		$cmp_destinoFechaDejado->setLabel('Fecha');
		$this->addElement($cmp_destinoFechaDejado);		
		
		$cmp_destinoHoraDejado = new EFTexto('destinoHoraDejado');
		$cmp_destinoHoraDejado->setLabel('Hora');
		$this->addElement($cmp_destinoHoraDejado);
		
		
		
		$this->addElementoVista($cmp_destinoFechaDejado, 8);
		$this->addElementoVista($cmp_destinoHoraDejado);
		
		
		
		
		$btGuardar = new EFSubmit('guardar');
		$btGuardar->setValue('Guardar');
		$this->addElement($btGuardar);
		$this->addElementoVista($btGuardar);
		
	}
	
	public function __construct(ServicioViaje $objeto, $options = null){
		$this->setObjeto($objeto);
		parent::__construct($options);
	
	}
	public function validarnifAccion($datos){
		$potencial = Potencial::getByDNI($datos['nif']);
		AppAjax::esAjax(true);
		if($potencial !==false){
			AppAjax::setValores($this->identificadorScript().' #pasajeroNombre', $potencial->getNombre());
			AppAjax::setValores($this->identificadorScript().' #telefono', $potencial->getTelefono());
			AppAjax::setValores($this->identificadorScript().' #telefono2', $potencial->getTelefono2());
			AppAjax::setValores($this->identificadorScript().' #movil', $potencial->getMovil());
			AppAjax::setValores($this->identificadorScript().' #contacto', $potencial->id);
		}
		
		
	}
	
}